% file nnet/reduce.nn.d copyright (C) 1994-8 W. N. Venables and B. D. Ripley
%
\name{reduce.nn}
\alias{reduce.nn}
\title{
Reduce Training Set for a k-NN Classifier
}
\description{
Reduce training set for a k-NN classifier. Used after \code{condense}.
}
\usage{
reduce.nn(train, ind, class)
}
\arguments{
\item{train}{
matrix for training set
}
\item{ind}{
Initial list of members of the training set (from \code{condense}).
}
\item{class}{
vector of classifications for test set
}}
\details{
All the members of the training set are tried in random order.
Any which when dropped do not cause any members of the training set to
be wrongly classified are dropped.
}
\value{
index vector of cases to be retained.
}
\references{
Gates, G.W. (1972) The reduced nearest neighbor rule.
\emph{IEEE Trans. Information Theory}
\bold{IT-18}, 431-432.
}
\seealso{
\code{\link{condense}}, \code{\link{multiedit}}
}
\keyword{classif}
% Converted by Sd2Rd version 0.3-1.
